Bug 59213 - [PATCH] simplify pear-* ports
Summary: [PATCH] simplify pear-* ports
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-11-12 13:00 UTC by Roman Neuhauser
Modified: 2003-12-28 08:04 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Roman Neuhauser 2003-11-12 13:00:41 UTC
These patches do the following things for PEAR ports:

* devel-pear-PEAR-Makefile.common.patch
    - provides a do-install target and all that jazz in
      devel/pear-PEAR/Makefile.common
    - individual PEAR ports now just set a few variables:
* pear-ports-Makefile.common-ng.patch
    contains changes for all pear-* ports including devel/pear-PEAR

See http://smradoch.innuendo.cz/FreeBSD/ for complete description.

Fix: 

http://smradoch.innuendo.cz/FreeBSD/devel-pear-PEAR-Makefile.common.patch
http://smradoch.innuendo.cz/FreeBSD/pear-ports-Makefile.common-ng.patch
How-To-Repeat: 1. download the patches
2.
cd ${PORTSDIR:-/usr/ports} &&
    patch -s < path/to/devel-pear-PEAR-Makefile.common.patch
cd ${PORTSDIR:-/usr/ports} &&
    patch -sEp1 < path/to/pear-ports-Makefile.common-ng.patch
Comment 1 Roman Neuhauser 2003-11-13 07:29:56 UTC
I uploaded new revision with edwin's pear virtual port category
commit merged in.

-- 
FreeBSD 4.8-STABLE
8:28AM up 2 days, 14:55, 14 users, load averages: 0.02, 0.04, 0.00
Comment 2 Roman Neuhauser 2003-11-20 13:19:17 UTC
another update, this time to properly emtpy old pkg-plist files.
see http://smradoch.innuendo.cz/FreeBSD/

-- 
FreeBSD 4.8-STABLE
2:17PM up 2 days, 4:42, 13 users, load averages: 0.00, 0.01, 0.00
Comment 3 edwin 2003-12-28 07:57:12 UTC
Done except for:
	devel/pear-HTML_Common
	devel/pear-I18N
	net/pear-Net_NNTP
	security/pear-Auth


-- 
Edwin Groothuis      |            Personal website: http://www.mavetju.org
edwin@mavetju.org    |          Weblog: http://weblog.barnet.com.au/edwin/
Comment 4 Edwin Groothuis freebsd_committer 2003-12-28 08:04:11 UTC
State Changed
From-To: open->closed

Commited most of them. 
Remaining are: 
devel/pear-HTML_Common 
devel/pear-I18N 
net/pear-Net_NNTP 
security/pear-Auth 

Could you please submit new patches for these?